TDBTOOL(8)

NAME
tdbtool - manipulate the contents TDB files

SYNOPSIS

tdbtool

tdbtool [-l] TDBFILE [COMMANDS...]

DESCRIPTION

This tool is part of the samba(1) suite.

tdbtool a tool for displaying and altering the contents of Samba TDB (Trivial DataBase) files. Each of the commands listed below can be entered interactively or provided on the command line.

OPTIONS

-l
    This options disables any locking, by passing TDB_NOLOCK to tdb_open_ex(). Only use this for database files which are not used by any other process! And also only if it is otherwise not possible to open the database, e.g. databases which were created with mutex locking.

COMMANDS

create TDBFILE
    Create a new database named TDBFILE.

open TDBFILE
    Open an existing database named TDBFILE.

erase
    Erase the current database.

dump
    Dump the current database as strings.

cdump
    Dump the current database as connection records.

keys
    Dump the current database keys as strings.

hexkeys
    Dump the current database keys as hex values.

info
    Print summary information about the current database.

insert KEY DATA
    Insert a record into the current database.

move KEY TDBFILE
    Move a record from the current database into TDBFILE.

store KEY DATA
    Store (replace) a record in the current database.

storehex KEY DATA
    Store (replace) a record in the current database where key and data are in hex format.

show KEY
    Show a record by key.

delete KEY
    Delete a record by key.

list
    Print the current database hash table and free list.

free
    Print the current database and free list.

! COMMAND
    Execute the given system command.

first
    Print the first record in the current database.

next
    Print the next record in the current database.

check
    Check the integrity of the current database.

repack
    Repack a database using a temporary file to remove fragmentation.

quit
    Exit tdbtool.

CAVEATS

The contents of the Samba TDB files are private to the implementation and should not be altered with tdbtool.

VERSION

This man page is correct for version 3.6 of the Samba suite.

EXIT STATUS

The tdbtool program returns 0 if the operation succeeded, or 1 if the operation failed.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.